pfSense - Bug #15754
log file size growing despite settings
09/30/2024 11:08 AM - Tomas B.
Description
Hi all

| have a problem with log file for firewall.
Despite these settings, log file keeps growing and growing.
What can be wrong?

These settings override the "General Logging Options" settings.

orward/Reverse Display ® Forward O Reverse ® General Logging Options Setting

(newest at bottomn) (newest at top)
Show log entries in forward or reverse order.
GUI Log Entries
This is the number of log entries displayed in the GUL. It does not affect how many entries are contained in the log.

bg Rotation Size (Bytes) 8192000

This field controls the size at which logs will be rotated. By default this is 500 KiB per log file, and there are nearly 20 such log files. Rotated log files
consume additional disk space, which varies depending on compression and retention count.

NOTE: Log file sizes are checked once per minute to determine if rotation is necessary, so a very rapidly growing log file may exceed this value.

Log Retention Count

The number of log files to keep before the oldest copy is removed on rotation.

Formatted/Raw Display ® Formatted ® Raw O General Logging Options Setting

wheel 3509 p 30 12:07 auth.leg
wheel 1376 p 30 12:40 dhepd.log
wheel 8417 p i 11:09 dmesg.boot
wheel 19548641 Sep 3 3: filter.log
wheel 9754 Sep 3 3 gateways.log
wheel 451952 Sep 3 3 ipsec.log

History

#1 - 09/30/2024 11:10 AM - Tomas B.

At one point, it was so big it filled the whole SSD and crashed the whole system.

#2 - 09/30/2024 12:30 PM - Jim Pingle

You have "Log Retention Count" set to 0, which might be the problem. Don't change it on the tab in your screenshot, change it in the main logging
options under Status > System Logs , Settings tab.

0 doesn't mean keep an infinite number of logs, | suspect it's throwing off the rotation configuration and making it not rotate at all. Try changing that to
the default (7) and see if it starts rotating again.

We may need to add validation to prevent that from being set to 0, or document that it disables retention.

#3 - 09/30/2024 12:42 PM - Tomas B.
- File clipboard-202409301442-17vog.png added

Hi Jim
without my intervention its there. So it seems that the configuration did not accepted it.

(newest at bottorn) (newest at top)
Show log entries in forward or reverse order.
GUI Log Entries

This is the number of log entries displayed in the GUL. It does not affect how many entries are contained in the log.

Log Rotation Size (Bytes) 8192000

This field controls the size at which logs will be rotated. By default this is 500 KiB per log file, and there are nearly 20 such log files. Rotated log files
consume additional disk space, which varies depending on compression and retention count.

NOTE: Log file sizes are checked once per minute to determine if rotation is necessary, so a very rapidly growing log file may exceed this value.

Log Retention Count

#4 - 09/30/2024 12:50 PM - Jim Pingle

Maybe it's the way your theme or the browser is rendering those settings. There have been cases where the dark theme wasn't properly
distinguishing enabled/disabled form elements.

Try typing a 7 in there and pressing Save, then check the settings on the other log tabs. If the others all show a 7 except filter, it may need to be
manually set on the Filter tab, too. Or blank the field and press Save and see what happens.

#5 - 09/30/2024 01:05 PM - Tomas B.

OK. So i set the default system settings on 7. | can see it everywhere else. And | restarted logging service.

#6 - 09/30/2024 01:17 PM - Jim Pingle

- Status changed from New to Feedback

OK, let us know if that started it rotating again. And be sure to check the setting on the Firewall log tab as well to be sure it's showing 7 there.

Either way there is a little bug in the code handling the rotation, just a matter of figuring out specifically what it might be.

#7 - 09/30/2024 01:46 PM - Tomas B.

So the outcome was the same. | will do next round of testing. | will set rotation count manually to 7 in firewall subsettings, clear logs and restart the
service.

#8 - 09/30/2024 02:31 PM - Tomas B.

Sadly, result was the same again.

#9 - 09/30/2024 02:35 PM - Jim Pingle
What version are you seeing this problem on?
I've been trying to replicate it on a lab system but | can't make it misbehave in the way you describe. If | set it to 0/empty it resets the setting to the

system default. If | hand edit the config to have a value of 0, it sets the count to 0, but it still rotates by erasing the current log and restarting it. In no
case does it fail to rotate.

I'll need to see a copy of /var/etc/newsyslog.conf.d/pfSense.conf and the <syslog> ... </syslog> section of your config.xml settings to determine what
might be happening in your case.

#10 - 10/01/2024 07:21 AM - Tomas B.

- File clipboard-202410010919-ea5w6.png added
- File clipboard-202410010919-hxfwh.png added
- File clipboard-202410010921-xovdc.png added

Hello.
Providing the info you asked for:
24.03-RELEASE (amd64)
built on Mon May 13 14:17:00 CEST 2024
FreeBSD 13.0-CURRENT

Version information updated at Tue Oct 1 9:18:58 CEST 2024

/varflog/userlog root:wheel Gee 3 2848 e B

fvarflog/utx.log root:wheel 644 3 2848 e B

/var/log/system. log root:wheel 608 2 cae = 1c
/var/log/filter.log root:wheel 608 7 Seea = iC
/varflog/dhcpd.log root:wheel Gee 7 2048 = 1C
fvarflog/vpn.log root:wheel 688 7 2848 & ic
fvarflog/poes.log root:wheel 688 7 2848 i 1c
fvarflog/12tps.log root:wheel 688 7 2848 i ic
fvar/log/openvpn.log root:wheel Gee 2 4888 e ic
fvarflog/portalauth.log root:wheel Gee 7 2848 e ic
/var/log/ipsec.log root:wheel 608 7 2848 = 1c
/var/log/ppp.log root:wheel 608 7 2843 = iC
fvarflog/wireless.log root:wheel Gee 7 2048 = 1C
fvarflog/nginx.log root:wheel 688 7 2848 & ic
fvarflog/ntpd. log root:wheel 688 7 2848 i 1c
fvar/log/gateways. log root:wheel 688 7 2848 i ic
/varflog/resoclver.log root:wheel Gee 7 2848 e ic
fvarflog/routing.log root:wheel Gee 2 cee e ic
/var/logfauth.log root:wheel 608 7 2848 = 1c

v<sysloge

<filterdescriptions>1</filterdescriptions>
<nentries>5@8</nentries>
<sourceip/>
<ipprotoripva</ipproto>
<reverse/>
<nologbogons />
<nologprivatenets/>
¥ <ipsec_settings»
<cronorder>reverse</cronorder:
</ipsec_settings:>
<logfilesize»2097152</logfilesizes
<logcompressiontyperbzip2</logcompressiontype
<formaterfc3led</format>
<rotatecount>7</rotatecount:
<remoteserver/
<remoteserver/>
<remoteserver3/>
<logconfigchangesrenabled</logconfigchanges>
v<routing_settings:>
<logfilesize»512008</logfilesizes
<rotatecount>2</rotatecount:
</routing_settings>
¥ <system_settings:»
<logfilesize>512008</logfilesize>
<rotatecount>2</rotatecounts
</system_settings>
<nologdefaultblock/>
¥ <openvpn_settings:
<logfilesize>4026008</logfilesizes
<rotatecount>2</rotatecount:
</openvpn_settings>
v<filter_sesttings>
<cronorderrreversed/cronorders
<logfilesize>3192000</logfilesizes
<rotatecount>7</rotatecount:>
</filter_settings:
</syslogs»

| should point out that the configuration was imported form version 2.x

#11 - 10/01/2024 05:45 PM - Jim Pingle
Nothing there looks out of sorts.
Check in /etc/crontab and see if you have a line there for newsyslog. It should look like this:
=/ @ @ @ @ root /usr/sbin/newsyslog

If you don't, then that may be the problem. It might be something happened when importing your old configuration and the cron job to handle log
rotation didn't get added.

#12 - 10/03/2024 06:46 AM - Tomas B.
- File clipboard-202410030846-hynuo.png added

Hi
this is what it contains.

#

# pfSense specific crontab entries

# Created: October 2, 2824, 8:13 am

#

SHELL=/bin/sh

PATH=/sbin: /bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin

1,31 B-5 * 3 * root fusr/bin/nice -n2@ adjkerntz -a

1 3 1 3 & root fusr/bin/nice -n2@ /etc/rc.update_bogons.sh

*/60 = = d & root fusr/bin/nice -n20 fusr/local/sbin/expiretable -v -t 3600 sshguard

*/60 = = d & root fusr/bin/nice -n20 fusr/local/sbin/expiretable -v -t 3608 webConfiguratorlockout
1 1 & 3 & root fusr/bin/nice -n2@ /etc/rc.dyndns.update

*/60 = = d & root fusr/bin/nice -n2@ /fusr/local/sbin/expiretable -v -t 3600 virusprot

38 12 & 3 & root fusr/bin/nice -n2@ /etc/rc.update_urltables

1 8 & 3 & root fusr/bin/nice -n20 /etc/rc.update_pkg metadata

#

# DO NOT EDIT THIS FILE MANUALLY!
# Use the cron package or create files in /etc/cron.d/
#

#13 - 10/03/2024 12:54 PM - Jim Pingle
- Status changed from Feedback to Not a Bug

OK, there does not appear to be a bug in how the settings themselves are handled. Your configuration is broken. Either it wasn't restored properly or
the configuration upgrade failed somehow, but it's missing several important cron jobs and who knows what else.

This isn't the place to diagnose what happened there, however. For assistance in correcting your configuration file contents, please post on the
Netgate Forum

#14 - 10/03/2024 01:03 PM - Tomas B.

| understand. Thank you for your effort.
